%define major	28
%define libname %mklibname git2_ %{major}
%define devname %mklibname -d git2

Name:		libgit2
Version:	0.28.5
Release:	%mkrel 1
Summary:	A C implementation of the Git core methods as a library
Group:		System/Libraries
License:	GPLv2 with exceptions
URL:		https://libgit2.org/
Source0:	https://github.com/libgit2/libgit2/archive/v%{version}/%{name}-%{version}.tar.gz
BuildRequires:	cmake
BuildRequires:	http-parser-devel
#BuildRequires: libxdiff-devel
BuildRequires:	pkgconfig(openssl)
BuildRequires:	python2
BuildRequires:	pkgconfig(zlib)
BuildRequires:	pkgconfig(libssh2)
BuildRequires:	pkgconfig(libcurl)

%description
libgit2 is a portable, pure C implementation of the Git core methods
provided as a re-entrant linkable library with a solid API, allowing
you to write native speed custom Git applications in any language
with bindings.

%package -n %{libname}
Summary:	A C implementation of the Git core methods as a library
Group:		System/Libraries

%description -n %{libname}
libgit2 is a portable, pure C implementation of the Git core methods
provided as a re-entrant linkable library with a solid API, allowing
you to write native speed custom Git applications in any language
with bindings.

%package -n %{devname}
Summary:	Development files for %{name}
Group:		Development/C
Requires:	%{libname} = %{version}-%{release}
Provides:	%{name}-devel = %{version}-%{release}

%description -n %{devname}
The %{name}-devel package contains libraries and header files for
developing applications that use %{name}.

%prep
%setup -q
%autopatch -p1

# Remove VCS files from examples
find examples -name ".gitignore" -delete

# Fix pkgconfig generation
sed -i 's|@CMAKE_INSTALL_PREFIX@/||' libgit2.pc.in

# Don't test network
sed -i 's/ionline/xonline/' CMakeLists.txt

# Remove bundled libraries
rm -rf deps
#rm -rf src/xdiff

%build
%cmake -DTHREADSAFE:BOOL=ON
%make_build

%check
ctest -V

%install
%make_install -C build

%files -n %{libname}
%doc README.md COPYING AUTHORS
%{_libdir}/libgit2.so.%{major}
%{_libdir}/libgit2.so.%{version}

%files -n %{devname}
%doc docs examples
%{_libdir}/libgit2.so
%{_libdir}/pkgconfig/libgit2.pc
%{_includedir}/git2*


%changelog
* Fri Apr 10 2020 daviddavid <daviddavid> 0.28.5-1.mga7
+ Revision: 1565972
- new version: 0.28.5, fixes new security issues (mga#26464)
+ kekepower <kekepower>
- Update to version 0.28.4 to fix several CVEs (mga#25348)

* Sat Apr 20 2019 wally <wally> 0.28.1-1.mga7
+ Revision: 1393738
- new version 0.28.1
- new lib major 28

* Sat Nov 10 2018 bcornec <bcornec> 0.27.7-1.mga7
+ Revision: 1329299
- Update to 0.27.7 (mga#22813)

* Fri Oct 26 2018 bcornec <bcornec> 0.27.5-1.mga7
+ Revision: 1325580
- update to upstream 0.27.5 to fix mga#22813

* Sun Sep 23 2018 umeabot <umeabot> 0.27.4-2.mga7
+ Revision: 1298869
- Mageia 7 Mass Rebuild

* Thu Aug 09 2018 guillomovitch <guillomovitch> 0.27.4-1.mga7
+ Revision: 1250803
- new version 0.27.4

* Fri Aug 03 2018 guillomovitch <guillomovitch> 0.27.3-1.mga7
+ Revision: 1247013
- new version 0.27.3

* Thu Jul 05 2018 guillomovitch <guillomovitch> 0.27.2-1.mga7
+ Revision: 1242006
- new version 0.27.2
+ kekepower <kekepower>
- Update to version 0.27.1. Fixes CVE-2018-11235.

* Tue Mar 27 2018 kekepower <kekepower> 0.27.0-1.mga7
+ Revision: 1212754
- Update to 0.27.0

* Sat Aug 05 2017 guillomovitch <guillomovitch> 0.26.0-2.mga7
+ Revision: 1136096
- rebuild for latest openssl

* Mon Jul 17 2017 tv <tv> 0.26.0-1.mga7
+ Revision: 1124384
- bump major
- new release

* Wed Mar 22 2017 ovitters <ovitters> 0.25.0-1.mga6
+ Revision: 1094370
- bump major
- new version 0.25.0

* Tue Jan 10 2017 wally <wally> 0.24.6-1.mga6
+ Revision: 1080838
- new version 0.24.6 to fix CVE-2016-856[8,9] (mga#19553)

* Sun Nov 13 2016 akien <akien> 0.24.1-2.mga6
+ Revision: 1066938
- Provide libgit2-devel (used by cargo synced with Fedora)

* Mon May 02 2016 tv <tv> 0.24.1-1.mga6
+ Revision: 1008654
- new release

* Tue Mar 15 2016 tv <tv> 0.24.0-1.mga6
+ Revision: 990762
- bump major
- new release

* Wed Mar 02 2016 umeabot <umeabot> 0.23.4-2.mga6
+ Revision: 983569
- Rebuild for openssl

* Sat Feb 20 2016 tv <tv> 0.23.4-1.mga6
+ Revision: 972351
- new release

* Mon Feb 15 2016 umeabot <umeabot> 0.23.2-2.mga6
+ Revision: 961003
- Mageia 6 Mass Rebuild

* Thu Sep 24 2015 tv <tv> 0.23.2-1.mga6
+ Revision: 883225
- new release

* Tue Aug 04 2015 wally <wally> 0.23.1-1.mga6
+ Revision: 861043
- new version 0.23.1
- new libmajor 23
- drop unneeded patches

* Sun Jun 21 2015 ovitters <ovitters> 0.22.2-1.mga6
+ Revision: 838223
- fix major and br
- new version 0.22.2

* Wed Oct 15 2014 umeabot <umeabot> 0.21.1-3.mga5
+ Revision: 744920
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 0.21.1-2.mga5
+ Revision: 681487
- Mageia 5 Mass Rebuild

* Sun Aug 10 2014 wally <wally> 0.21.1-1.mga5
+ Revision: 661399
- new version 0.21.1

* Sun Jun 22 2014 wally <wally> 0.21.0-1.mga5
+ Revision: 638700
- new version 0.21.0
- new lib major 21

* Tue Feb 04 2014 wally <wally> 0.20.0-1.mga5
+ Revision: 582084
- clean .spec a bit

* Fri Jan 10 2014 tv <tv> 0.20.0-1.mga4
+ Revision: 566119
- imported package libgit2


* Mon Jan 06 2014 Thierry Vignaud <tv@mageia.org> 0.19.0-1.mga4
- initial release (based on FC)
- temporary build with internal xdiff
